.navbar-toggler {
  border:none;
  cursor: pointer;
  width: 1.8em;
  height: 1.8em;
  padding: 0 0 0.15em 0.35em;
  &:focus {
    outline: none;
    box-shadow:none;
  }
  .navbar-togglerr-icon {

  }
  &:focus {
    outline: none;
  }
}
.navbar-toggler {
  .navbar-toggler-inner,
  .navbar-toggler-inner::before,
  .navbar-toggler-inner::after
  {
    width: 1em;
    height: 0.10em;
    background-color: $black;
    position: absolute;
  }

  .navbar-toggler-inner::before
  {
    content: "";
    display: block;
    top: -0.3em;
  }

  .navbar-toggler-inner::after
  {
    content: "";
    display: block;
    bottom: -0.3em;
  }

  .navbar-toggler-inner{
    transition: 0.2s;
    transform: rotate(0deg);
  }
}



.navbar-toggler.active {

  .navbar-toggler-inner{
    transition: 0.2s;
    transform: rotate(45deg); // 45+360
  }
  .navbar-toggler-inner::before{
    top: 0;
    opacity: 0;
  }
  .navbar-toggler-inner::after{
    bottom: 0;
    transform: rotate(-90deg);
  }



}
